1. Staff
Easyteam Retail
  • Home
  • Staff
    • Get all staff members
      GET
    • Get a single staff member
      GET
  • Scheduling
    • Get published shift schedules
      GET
  • Timesheets
    • Get timesheets summary
      GET
    • Get detailed timesheets an employee
      GET
  • Commissions
    • Get commissions summary
      GET
    • Get detailed commissions breakdown for a staff member
      GET
  • Sales Goals
    • Get sales goals data
      GET
  1. Staff

Get a single staff member

GET
/api/rest/staff/shop/{shopId}/staff/{personnelId}
Retrieve detailed information for a single staff member

Request

Path Params

Responses

🟢200
application/json
Staff member details
Body

🟠401
🟠403
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/rest/staff/shop//staff/'
Response Response Example
{
    "success": true,
    "data": {
        "id": 0,
        "personnelId": 0,
        "shopifyUserId": "string",
        "userName": "string",
        "email": "string",
        "status": "string",
        "position": "string",
        "permission": "string",
        "pinCode": "string",
        "merchantExternalId": "string",
        "locations": [
            {
                "id": 0,
                "name": "string",
                "shopifyLocationId": "string",
                "timezone": "string",
                "active": true
            }
        ],
        "salaryWage": {
            "currencyCode": "string",
            "currencyMark": "string",
            "rate": 0,
            "rateType": "string"
        },
        "salaryWageString": "string",
        "payrollSettings": {
            "classificationType": "string",
            "payGroup": "string",
            "overtimeEligibility": true,
            "posTipsEligibility": true,
            "commissionsEligibility": true,
            "hiringDate": "string"
        },
        "payrollStatus": "string"
    }
}
Previous
Get all staff members
Next
Get published shift schedules